# generated by cabal-rpm-2.1.0
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

# requires network
%bcond_with tests

Name:           koji-tool
Version:        0.9.5
Release:        2%{?dist}
Summary:        Koji CLI tool for querying tasks and installing builds

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-formatting-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-http-directory-devel
BuildRequires:  ghc-koji-devel
BuildRequires:  ghc-pretty-simple-devel
BuildRequires:  ghc-rpm-nvr-devel
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-simple-cmd-args-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-xdg-userdirs-devel
# End cabal-rpm deps
Requires:       krb5-workstation

%description
Koji-tool is a CLI interface to Koji with commands to query builds, tasks,
install rpms, and track buildlog sizes.

Koji is the RPM-based buildsystem of Fedora Linux and CentOS.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm install


%check
%if %{with tests}
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%license LICENSE
%doc ChangeLog.md README.md TODO
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm files


%changelog
* Thu Feb 16 2023 Jens Petersen <petersen@redhat.com> - 0.9.5-2
- refresh to cabal-rpm-2.1.0 with SPDX migration

* Mon Sep 12 2022 Jens Petersen <petersen@redhat.com> - 0.9.5-1
- 'install': fix determination of package name from srpm
- 'progress': correctly determine NVR from srpm again

* Fri Sep 09 2022 Jens Petersen <petersen@redhat.com> - 0.9.4-1
- 'install': rework install logic to combine reinstall and install pkgs
- 'install': do not choose rebuildSRPM subtask
- 'install': show correct top download dir
- 'install': --add to specify additional package
- 'install': change rpms prompt to require Enter for consistency with dnf
- 'progress': another major logic refactor:
   determine poll delay from last-modified time
- 'progress': skip wait for a build.log after [1..6] sec tries
- 'progress': put interval times into task outputs
- 'progress': only print task header if updated task outputs

* Thu Aug 04 2022 Jens Petersen <petersen@redhat.com> - 0.9.3-1
- 'builds' for a package now use specified query options
- 'builds': add --install and --tasks options
- 'install': --exclude globs now filter --package globs
- 'install': update installed subpackages first then install any new subpkgs
- 'install': separate prompt logic for "install above" packages
- 'install': experimental support for rpm-ostree overlaying (--rpm-ostree)
- 'install': allow noarch tasks
- 'install': allow package filtering in --list mode
- 'install': --skip-existing to leave already installed subpackages untouched
- 'progress' records the largest finished build.log size
- 'progress': exclude srpm from max log sizes
- 'progress': show pkg name instead of "unknown" nvr early on
- 'progress': only use current time if task unfinished
- 'tasks': fix output url selection for scratch builds
- 'tasks': check build.log exists before getting its size
- https://hackage.haskell.org/package/koji-tool-0.9.3/changelog

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Jens Petersen <petersen@redhat.com> - 0.9.2-2
- rebuild

* Sun Jun 12 2022 Jens Petersen <petersen@redhat.com> - 0.9.2-1
- tasks --install now takes an install options string
- install: place rpms in a nvr subdirectory
- install: when downloading check if local files' timestamp within build time
- progress: no longer quit after srpm build
- progress: show duration of build and finished tasks

* Sun May 29 2022 Jens Petersen <petersen@redhat.com> - 0.9.1-1
- https://hackage.haskell.org/package/koji-tool-0.9.1/changelog

* Tue May 10 2022 Jens Petersen <petersen@redhat.com> - 0.8.5-1
- use rpm-nvr-0.1.2 for better NVR and NVRA parsing ensuring non-empty names
- when parsing koji build request fields, detect git hash and fork builds

* Mon May 09 2022 Jens Petersen <petersen@redhat.com> - 0.8.4-1
- install: complete rework of logic using installed status and NVRA etc
- install: '--no-reinstall' replaces '--reinstall-nvrs'
- Install: confirm for --all and --exclude, respecting --yes
- tasks: parse taskid as arg and drop --task and --children
- Tasks: print parent Task taskid compactly and then its children

* Sat Apr 23 2022 Jens Petersen <petersen@redhat.com> - 0.8.3-1
- 'latest': new cmd to list latest package build for tag
- 'install': use --reinstall-nvrs to reinstall rpms for current nvr
- 'install': now prompts before proceeding
- 'install': handle build tasks by finding buildArch
- 'install': --list now always lists rpms

* Tue Mar 29 2022 Jens Petersen <petersen@redhat.com> - 0.8.2-1
- spec file generated by cabal-rpm-2.0.11
